
local active = {}
local actived = {}
local bandagem = {}
local amountUse = {}
local uchests = {}
local vchests = {}
local syringeTime = {}
local pick = {}
local blips = {}

local miraContagem = 0
local compensadorContagem = 0
local silenciadorContagem = 0
local carregadorContagem = 0
local gripContagem = 0

local Tunnel = module("vrp","lib/Tunnel")
local Proxy = module("vrp","lib/Proxy")
local Tools = module("vrp","lib/Tools")
vRP = Proxy.getInterface("vRP")
vRPclient = Tunnel.getInterface("vRP")
local idgens = Tools.newIDGenerator()

UseItemInventory = function(itemName,type,ramount,user_id,vGARAGE,vHOMES,vTASKBAR,vPLAYER,cRP)
    local source = source
	local data = vRP.getUserAptitudes(user_id)
    if user_id and ramount ~= nil and parseInt(ramount) >= 0 and not actived[user_id] and actived[user_id] == nil then 
            if type == "usar" then
                if itemName == "bandagem" then
                    vida = vRPclient.getHealth(source)
                    if vida > 101 and vida < 400 then
                    
                        if bandagem[user_id] == 0 or not bandagem[user_id] then
                            if vRP.tryGetInventoryItem(user_id,"bandagem",1) then
                                actived[user_id] = true
                                vRPclient._CarregarObjeto(source,"amb@world_human_clipboard@male@idle_a","idle_c","v_ret_ta_firstaid",49,60309)
                                TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                                TriggerClientEvent('cancelando',source,true)
                                TriggerClientEvent("progress",source,20000,"bandagem")
                                SetTimeout(20000,function()
                                    actived[user_id] = nil
                                    bandagem[user_id] = 240
                                    TriggerClientEvent('bandagem',source)
                                    TriggerClientEvent('cancelando',source,false)
                                    vRPclient._DeletarObjeto(source)
                                    TriggerClientEvent("Notify",source,"sucesso","Bandagem utilizada com sucesso.",8000)
                                end)
                            end
                        else
                            TriggerClientEvent("Notify",source,"importante","Você precisa aguardar <b>"..bandagem[user_id].." segundos</b> para utilizar outra Bandagem.",8000)
                        end
                    else
                        TriggerClientEvent("Notify",source,"negado","Você não pode utilizar de vida cheia ou nocauteado.",8000)
                    end
                elseif itemName == "mochila" then
                    if vRP.tryGetInventoryItem(user_id,"mochila",1) then
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        vRP.varyExp(user_id,"physical","strength",650)
                        TriggerClientEvent("Notify",source,"sucesso","Mochila utilizada com sucesso.",8000)
                    end

				elseif itemName == "moduloxenon" then
                    TriggerClientEvent('zo_install_mod_xenon',source)	
                elseif itemName == "moduloneon" then
                    TriggerClientEvent('zo_install_mod_neon',source)	
                elseif itemName == "suspensaoar" then
                    TriggerClientEvent('zo_install_suspe_ar',source)	

				elseif itemName == "carregador" then
                    if vRP.getInventoryItemAmount(user_id,"carregador") >= 1 then

                        if carregadorContagem >= 3 then
                            vRP.tryGetInventoryItem(user_id,"carregador",1)
                            TriggerClientEvent("Notify",source,"negado","Seu Attachs quebrou.",8000)
                        else
                            carregadorContagem = carregadorContagem + 1 
                            TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                            TriggerClientEvent('cancelando',source,true)
                            TriggerClientEvent('equiparAttachs',source,"carregador")	
                            TriggerClientEvent('cancelando',source,false)
                        end

                    end
                elseif itemName == "silenciador" then
                    if vRP.getInventoryItemAmount(user_id,"silenciador") >= 1 then

                        if silenciadorContagem >= 3 then
                            vRP.tryGetInventoryItem(user_id,"silenciador",1)
                            silenciadorContagem = 0
                            TriggerClientEvent("Notify",source,"negado","Seu Attachs quebrou.",8000)
                        else
                            silenciadorContagem = silenciadorContagem + 1 
                            TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                            TriggerClientEvent('cancelando',source,true)
                            TriggerClientEvent('equiparAttachs',source,"silenciador")	
                            TriggerClientEvent('cancelando',source,false)
                        end
                    end
                elseif itemName == "mira" then
                    if vRP.getInventoryItemAmount(user_id,"mira") >= 1 then

                        if miraContagem >= 3 then
                            vRP.tryGetInventoryItem(user_id,"mira",1)
                            miraContagem = 0
                            TriggerClientEvent("Notify",source,"negado","Seu Attachs quebrou.",8000)
                        else
                            miraContagem = miraContagem + 1 
                            TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                            TriggerClientEvent('cancelando',source,true)
                            TriggerClientEvent('equiparAttachs',source,"mira")	
                            TriggerClientEvent('cancelando',source,false)
                        end

                    end
                elseif itemName == "grip" then
                    if vRP.getInventoryItemAmount(user_id,"grip") >= 1 then

                        if gripContagem >= 3 then
                            vRP.tryGetInventoryItem(user_id,"grip",1)
                            gripContagem = 0
                            TriggerClientEvent("Notify",source,"negado","Seu Attachs quebrou.",8000)
                        else
                            gripContagem = gripContagem + 1 
                            TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                            TriggerClientEvent('cancelando',source,true)
                            TriggerClientEvent('equiparAttachs',source,"grip")	
                            TriggerClientEvent('cancelando',source,false)
                        end
                    end
                elseif itemName == "compensador" then
                    if vRP.getInventoryItemAmount(user_id,"compensador") >= 1 then

                        if compensadorContagem >= 3 then
                            vRP.tryGetInventoryItem(user_id,"compensador",1)
                            compensadorContagem = 0
                            TriggerClientEvent("Notify",source,"negado","Seu Attachs quebrou.",8000)
                        else
                            compensadorContagem = compensadorContagem + 1 
                            TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                            TriggerClientEvent('cancelando',source,true)
                            TriggerClientEvent('equiparAttachs',source,"compensador")	
                            TriggerClientEvent('cancelando',source,false)
                        end
    
                    end
                elseif itemName == "bolso" then
                    if vRP.tryGetInventoryItem(user_id,"bolso",1) then
                        cRP.AddBolso()
                    end

                elseif itemName == "capuz" then
                    if vRP.getInventoryItemAmount(user_id,"capuz") >= 1 then
                        local nplayer = vRPclient.getNearestPlayer(source,2)
                        if nplayer then
                            vRPclient.setCapuz(nplayer)
                            vRP.closeMenu(nplayer)
                            TriggerClientEvent("Notify",source,"sucesso","Capuz utilizado com sucesso.",8000)
                        end
                    end

                elseif itemName == "cocaina" then
                    if vRP.tryGetInventoryItem(user_id,"cocaina",1) then
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)

                        vRPclient._playAnim(source,true,{{"mp_player_int_uppersmoke","mp_player_int_smoke"}},true)
                        TriggerClientEvent("progress",source,5000,"Usando Catuaba")
                        Wait(5000)
                        vRPclient._stopAnim(source,false)
                        TriggerClientEvent('cancelando',source,false)
                        TriggerClientEvent('energeticos',source,true)
                        TriggerClientEvent("setCocaine",source,10)
                        vRPclient.playScreenEffect(source,"RaceTurbo",30)
                        TriggerClientEvent("Notify",source,"sucesso","Voce ficou eletrico.",8000)
                        Wait(30000)
                        TriggerClientEvent('energeticos',source,false)
                        TriggerClientEvent("Notify",source,"aviso","As suas energias acabaram.",8000)
                    end

                elseif itemName == "folhademaconha" then
                    if vRP.tryGetInventoryItem(user_id,"folhademaconha",1) then
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)

                        vRPclient._playAnim(source,true,{{"mp_player_int_uppersmoke","mp_player_int_smoke"}},true)
                        TriggerClientEvent("progress",source,5000,"Usando Catuaba")
                        Wait(5000)
                        vRPclient._stopAnim(source,false)
                        TriggerClientEvent('cancelando',source,false)
                        TriggerClientEvent('energeticos',source,true)
                        TriggerClientEvent("setCocaine",source,10)
                        vRPclient.playScreenEffect(source,"RaceTurbo",30)
                        TriggerClientEvent("Notify",source,"sucesso","Voce ficou eletrico.",8000)
                        Wait(30000)
                        TriggerClientEvent('energeticos',source,false)
                        TriggerClientEvent("Notify",source,"aviso","As suas energias acabaram.",8000)
                    end

                elseif itemName == "catuaba" then
                    if vRP.tryGetInventoryItem(user_id,"catuaba",1) then
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","offstore_catuaba",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Catuaba")
                        Wait(10000)
                        vRPclient._DeletarObjeto(source)
                        vRPclient.playScreenEffect(source,"DrugsTrevorClownsFight",60)
                        TriggerClientEvent('cancelando',source,false)
                        TriggerClientEvent("setDrunkTime",source,60)
                        TriggerClientEvent("Notify",source,"sucesso","Catuaba utilizada com sucesso.",8000)
                    end

                elseif itemName == "jurupinga" then
                    if vRP.tryGetInventoryItem(user_id,"jurupinga",1) then
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","offstore_jurupinga",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Jurupinga")
                        Wait(10000)
                        vRPclient._DeletarObjeto(source)
                        vRPclient.playScreenEffect(source,"DrugsTrevorClownsFight",60)
                        TriggerClientEvent('cancelando',source,false)
                        TriggerClientEvent("setDrunkTime",source,60)
                        TriggerClientEvent("Notify",source,"sucesso","Jurupinga utilizada com sucesso.",8000)
                    end

                elseif itemName == "smirnoff" then
                    if vRP.tryGetInventoryItem(user_id,"smirnoff",1) then
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","offstore_smirnoff",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Smirnoff")
                        Wait(10000)
                        vRPclient._DeletarObjeto(source)
                        vRPclient.playScreenEffect(source,"DrugsTrevorClownsFight",80)
                        vRPclient.playScreenEffect(source,"RaceTurbo",80)
                        TriggerClientEvent('cancelando',source,false)
                        TriggerClientEvent("setDrunkTime",source,80)
                        TriggerClientEvent("Notify",source,"sucesso","Smirnoff utilizada com sucesso.",8000)
                    end

                elseif itemName == "agua" then
                    if vRP.tryGetInventoryItem(user_id,"agua",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","ba_prop_club_water_bottle",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Agua")
                        SetTimeout(10000,function()
                            Thirst = -40
                            vRP.varyThirst(user_id,Thirst)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce bebeu uma Agua.",8000)
                        end)
                    end

                    elseif itemName == "cocacola" then
                    if vRP.tryGetInventoryItem(user_id,"cocacola",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","ba_prop_club_water_bottle",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Coca-Cola")
                        SetTimeout(10000,function()
                            Thirst = -40
                            vRP.varyThirst(user_id,Thirst)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Bebeu Uma Coca-Cola.",8000)
                        end)
                    end

                    elseif itemName == "xburger" then
                    if vRP.tryGetInventoryItem(user_id,"xburger",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"mp_player_inteat@burger","mp_player_int_eat_burger","prop_cs_burger_01",49,60309)
                        TriggerClientEvent("progress",source,10000,"Comeu Um Hamburger")
                        SetTimeout(10000,function()
                            Hunger = -70
                            vRP.varyHunger(user_id,Hunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Comeu Um Hamburger.",8000)
                        end)
                    end

                    elseif itemName == "highfeliz" then
                    if vRP.tryGetInventoryItem(user_id,"highfeliz",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"mp_player_inteat@burger","mp_player_int_eat_burger","prop_cs_burger_01",49,60309)
                        TriggerClientEvent("progress",source,10000,"Comeu Um Hamburger")
                        SetTimeout(10000,function()
                            Hunger = -70
                            vRP.varyHunger(user_id,Hunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Comeu Um Hamburger.",8000)
                        end)
                    end

                    elseif itemName == "quarterao" then
                    if vRP.tryGetInventoryItem(user_id,"quarterao",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"mp_player_inteat@burger","mp_player_int_eat_burger","prop_cs_burger_01",49,60309)
                        TriggerClientEvent("progress",source,10000,"Comeu Um Hamburger")
                        SetTimeout(10000,function()
                            Hunger = -70
                            vRP.varyHunger(user_id,Hunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Comeu Um Hamburger.",8000)
                        end)
                    end

                    elseif itemName == "pizzaqueijo" then
                    if vRP.tryGetInventoryItem(user_id,"pizzaqueijo",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"mp_player_inteat@burger","mp_player_int_eat_burger","prop_cs_burger_01",49,60309)
                        TriggerClientEvent("progress",source,10000,"Comeu Uma Pizza De Queijo")
                        SetTimeout(10000,function()
                            Hunger = -70
                            vRP.varyHunger(user_id,Hunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Comeu Uma Pizza De Queijo.",8000)
                        end)
                    end

                    elseif itemName == "pizzacalabresa" then
                    if vRP.tryGetInventoryItem(user_id,"pizzacalabresa",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"mp_player_inteat@burger","mp_player_int_eat_burger","prop_cs_burger_01",49,60309)
                        TriggerClientEvent("progress",source,10000,"Comeu Uma Pizza De Calabresa")
                        SetTimeout(10000,function()
                            Hunger = -70
                            vRP.varyHunger(user_id,Hunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Comeu Uma Pizza De Calabresa.",8000)
                        end)
                    end

                    elseif itemName == "pizzaportuguesa" then
                    if vRP.tryGetInventoryItem(user_id,"pizzaportuguesa",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"mp_player_inteat@burger","mp_player_int_eat_burger","prop_cs_burger_01",49,60309)
                        TriggerClientEvent("progress",source,10000,"Comeu Uma Pizza De Portuguesa")
                        SetTimeout(10000,function()
                            Hunger = -70
                            vRP.varyHunger(user_id,Hunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce Comeu Uma Pizza De Portuguesa.",8000)
                        end)
                    end

                elseif itemName == "coco" then
                    if vRP.tryGetInventoryItem(user_id,"coco",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","offstore_coco",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Coco")
                        SetTimeout(10000,function()
                            vthirst = -50
                            vRP.varyThirst(user_id,vthirst)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce bebeu um Coco.",8000)
                        end)
                    end


                elseif itemName == "cafe" then
                    if vRP.tryGetInventoryItem(user_id,"cafe",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_aa_coffee@idle_a","idle_a","mah_frap",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Cafe")
                        SetTimeout(10000,function()
                            vthirst = -35
                            vRP.varyThirst(user_id,vthirst)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce bebeu um Cafe.",8000)
                        end)
                    end

                elseif itemName == "donut" then
                    if vRP.tryGetInventoryItem(user_id,"donut",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@code_human_wander_eating_donut@male@idle_a","idle_c","mah_donut",49,28422)
                        TriggerClientEvent("progress",source,10000,"Comendo Donut")
                        SetTimeout(10000,function()
                            vhunger = -50
                            vRP.varyHunger(user_id,vhunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce comeu um Donut.",8000)
                        end)
                    end

                elseif itemName == "pizza" then
                    if vRP.tryGetInventoryItem(user_id,"pizza",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)

                        vRPclient._CarregarObjeto(source,"amb@code_human_wander_eating_donut@male@idle_a","idle_c","mah_pizza",49,28422)
                        TriggerClientEvent("progress",source,10000,"Comendo Pizza")
                        SetTimeout(10000,function()
                            vhunger = -70
                            vRP.varyHunger(user_id,vhunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce comeu uma Pizza.",8000)
                        end)
                    end


                elseif itemName == "pipoca" then
                    if vRP.tryGetInventoryItem(user_id,"pipoca",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@code_human_wander_drinking@beer@male@base","static","mah_popcorn",49,28422)
                        TriggerClientEvent("progress",source,10000,"Comendo Pipoca")
                        SetTimeout(10000,function()
                            vhunger = -50
                            vRP.varyHunger(user_id,vhunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce comeu uma Pipoca.",8000)
                        end)
                    end

                elseif itemName == "hotdog" then
                    if vRP.tryGetInventoryItem(user_id,"hotdog",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@code_human_wander_eating_donut@male@idle_a","idle_c","mah_hotdog",49,28422)
                        TriggerClientEvent("progress",source,10000,"Comendo Hotdog")
                        SetTimeout(10000,function()
                            vhunger = -70
                            vRP.varyHunger(user_id,vhunger)
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Voce comeu uma Hotdog.",8000)
                        end)
                    end

                    

                elseif itemName == "energetico" then
                    if vRP.tryGetInventoryItem(user_id,"energetico",1) then
                        actived[user_id] = true
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._CarregarObjeto(source,"amb@world_human_drinking@beer@male@idle_a","idle_a","offstore_monster",49,28422)
                        TriggerClientEvent("progress",source,10000,"Bebendo Energetico")
                        SetTimeout(10000,function()
                            actived[user_id] = nil
                            TriggerClientEvent('energeticos',source,true)
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._DeletarObjeto(source)
                            TriggerClientEvent("Notify",source,"sucesso","Energético utilizado com sucesso.",8000)
                        end)
                        SetTimeout(60000,function()
                            TriggerClientEvent('energeticos',source,false)
                            TriggerClientEvent("Notify",source,"importante","O efeito do energético passou e o coração voltou a bater normalmente.",8000)
                        end)
                    end
                elseif itemName == "lockpick" then
                    local timer_lock = math.random(100)
                    local vehicle,vnetid,placa,vname,lock,banned,trunk,model,street = vRPclient.vehList(source,7)
                    local policia = vRP.getUsersByPermission(policia_perm)
                    if #policia < quantidade_policia_lockpick then
                        TriggerClientEvent("Notify",source,"negado","Número insuficiente de policiais no momento para iniciar o roubo.")
                        return true
                    end
                    if vRP.hasPermission(user_id,policia_perm) then
                        TriggerEvent("setPlateEveryone",placa)
                        vGARAGE.vehicleClientLock(-1,vnetid,lock)
                        TriggerClientEvent("vrp_sound:source",source,'lock',0.5)
                        return
                    end
                    if vRP.getInventoryItemAmount(user_id,"lockpick") >= 1 and vRP.tryGetInventoryItem(user_id,"lockpick",1) and vehicle then
                        actived[user_id] = true
                        if vRP.hasPermission(user_id,policia_perm) then
                            actived[user_id] = nil
                            TriggerEvent("setPlateEveryone",placa)
                            vGARAGE.vehicleClientLock(-1,vnetid,lock)
                            return
                        end

                        TriggerClientEvent('cancelando',source,true)
                        vRPclient._playAnim(source,false,{{"amb@prop_human_parking_meter@female@idle_a","idle_a_female"}},true)
                        TriggerClientEvent("progress",source,5000,"Usando LockPick")
                        SetTimeout(5000,function()
                            actived[user_id] = nil
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._stopAnim(source,false)

                            if timer_lock >= 20 then
                                print(timer_lock)
                                TriggerEvent("setPlateEveryone",placa)
                                vGARAGE.vehicleClientLock(-1,vnetid,lock)
                                TriggerClientEvent("vrp_sound:source",source,'lock',0.5)
                            else
                                print(timer_lock)
                                TriggerClientEvent("Notify",source,"negado","Roubo do veículo falhou e as autoridades foram acionadas.",8000)
                                local policia = vRP.getUsersByPermission(policia_perm)
                                local x,y,z = vRPclient.getPosition(source)
                                for k,v in pairs(policia) do
                                    local player = vRP.getUserSource(parseInt(v))
                                    if player then
                                        async(function()
                                            local id = idgens:gen()
                                            vRPclient._playSound(player,"CONFIRM_BEEP","HUD_MINI_GAME_SOUNDSET")
                                            TriggerClientEvent('chatMessage',player,"911 - ",{64,64,255},"Roubo na ^1"..street.."^0 do veículo ^1"..model.."^0 de placa ^1"..placa.."^0 verifique o ocorrido.")
                                            pick[id] = vRPclient.addBlip(player,x,y,z,10,5,"Ocorrência",0.5,false)
                                            SetTimeout(20000,function() vRPclient.removeBlip(player,pick[id]) idgens:free(id) end)
                                        end)
                                    end
                                end
                            end
                        end)
                    end
                elseif itemName == "skate" then
                    TriggerClientEvent("skate",source)
                    
                elseif itemName == "repairkit" then
                    if not vRPclient.isInVehicle(source) then
                        local vehicle = vRPclient.getNearestVehicle(source,3.5)
                        if vehicle then
                            if vRP.hasPermission(user_id,mecanico_perm) then
                                actived[user_id] = true
                                TriggerClientEvent('cancelando',source,true)
                                vRPclient._playAnim(source,false,{{"mini@repair","fixing_a_player"}},true)
                                TriggerClientEvent("progress",source,10000,"Reparando Veiculo")
                                SetTimeout(30000,function()
                                    actived[user_id] = nil
                                    TriggerClientEvent('cancelando',source,false)
                                    TriggerEvent('tryreparar',source)
                                    vRPclient._stopAnim(source,false)
                                end)
                            else
                                if vRP.tryGetInventoryItem(user_id,"repairkit",1) then
                                    actived[user_id] = true
                                    TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                                    TriggerClientEvent('cancelando',source,true)
                                    vRPclient._playAnim(source,false,{{"mini@repair","fixing_a_player"}},true)
                                    TriggerClientEvent("progress",source,10000,"Reparando Veiculo")
                                    SetTimeout(10000,function()
                                        actived[user_id] = nil
                                        TriggerClientEvent('cancelando',source,false)
                                        TriggerEvent('tryreparar',source)
                                        vRPclient._stopAnim(source,false)
                                    end)
                                end
                            end
                        end
                    end
                end
                
                elseif itemName == "colete" then
                    if vRP.tryGetInventoryItem(user_id,"colete",1) then
            
                            vRPclient._playAnim(source,false,{{"missfbi3_camcrew","final_loop_guy"}},true)
                            TriggerClientEvent('cancelando',source,true)
                            TriggerClientEvent("progress",source,10000,"Usando Colete")
                            Wait(10000)
                            TriggerClientEvent('cancelando',source,false)
                            vRPclient._stopAnim(source,false)
                            vRPclient.setArmour(source,100)
                            TriggerClientEvent("Notify",source,"sucesso","Voce usou um colete com sucesso.",8000)
                            TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                    end	
                end
            elseif type == "equipar" then
                if vRP.tryGetInventoryItem(user_id,itemName,1) then
                    local weapons = {}
                    local identity = vRP.getUserIdentity(user_id)
                    weapons[string.gsub(itemName,"wbody|","")] = { ammo = 0 }
                    vRPclient._giveWeapons(source,weapons)
                    PerformHttpRequest(log_equipar_arma, function(err, text, headers) end, 'POST', json.encode({
                        embeds = {
                            { 
                                title = "REGISTRO DE INVENTARIO",
                                thumbnail = {
                                    url = imagem
                                }, 
                                fields = {
                                    { 
                                        name = "**EQUIPOU:**", 
                                        value = "` ["..vRP.itemNameList(itemName).."] `"
                                    },
                                    { 
                                        name = "**QUEM EQUIPOU:**", 
                                        value = "` "..identity.name.." "..identity.firstname.." ["..user_id.."] `"
                                    }
                                }, 
                                footer = { 
                                    text = "Data e hora: " ..os.date("%d/%m/%Y | %H:%M:%S"),
                                    icon_url = "https://www.autoriafacil.com/wp-content/uploads/2019/01/icone-data-hora.png"
                                },
                                color = 15914080 
                            }
                        }
                    }), { ['Content-Type'] = 'application/json' })
                    TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                end
            elseif type == "recarregar" then
                local uweapons = vRPclient.getWeapons(source)
                local weaponuse = string.gsub(itemName,"wammo|","")
                local identity = vRP.getUserIdentity(user_id)
                if uweapons[weaponuse] then				
                    if vRP.tryGetInventoryItem(user_id,"wammo|"..weaponuse,parseInt(ramount)) then
                        local weapons = {}
                        weapons[weaponuse] = { ammo = parseInt(ramount) }
                        vRPclient._giveWeapons(source,weapons,false)
                        PerformHttpRequest(log_recarregar_arma, function(err, text, headers) end, 'POST', json.encode({
                            embeds = {
                                { 
                                    title = "REGISTRO DE INVENTARIO",
                                    thumbnail = {
                                        url = imagem
                                    }, 
                                    fields = {
                                        { 
                                            name = "**RECARREGOU:**", 
                                            value = "` ["..vRP.itemNameList(itemName).."] `"
                                        },
                                        { 
                                            name = "**MUNIÇÃO:**", 
                                            value = "` ["..parseInt(ramount).."] `"
                                        },
                                        { 
                                            name = "**QUEM RECARREGOU:**", 
                                            value = "` "..identity.name.." "..identity.firstname.." ["..user_id.."] `"
                                        }
                                    }, 
                                    footer = { 
                                        text = "Data e hora: " ..os.date("%d/%m/%Y | %H:%M:%S"),
                                        icon_url = "https://www.autoriafacil.com/wp-content/uploads/2019/01/icone-data-hora.png"
                                    },
                                    color = 15914080 
                                }
                            }
                        }), { ['Content-Type'] = 'application/json' })
                        TriggerClientEvent('vrp_inventory:Update',source,'updateMochila')
                    end
                end
            end
        end